Namizno okolje K (K Desktop Environment)
Nazaj | Poglavje 3. Namestitev | Naprej

# 3.4. Uporaba TGZ za nameščanje v drugih sistemih

Če vaša distribucija nima RPM ali DEB arhivskega formata ali pa sloh ne upoprabljate Linuxa, potem morate KDE prevesti sami. V prihodnosti načrtujemo binarno distribucijo, ki vključuje svoj namestitevni program.

Da lahko prevedete in namestite KDE rabite morajo biti na vašem disku nameščeni naslednji elementi:

- ANSI-C prevajalnik, npr. GNU C compiler (GCC).

- ANSI-C++ prevajalnik, npr. GNU C++ (G++).

- Program make.

- Qt development različice 2.2 ali višje.

- X11 razvijalska različica (include datoteke pogosto manjkajo)

Ko enkrat imate vse te programe, pojdite na vaš priljubljeni zrcalni strežnik KDE in pridobite sledeče datoteke iz imenika `/pub/kde/stable/`(najnovejša različica)``:

- `kdesupport-`version`.tar.gz`

- `kdelibs-`version`.tar.gz`

- `kdebase-`version`.tar.gz`

- katerikoli drug paket, ki ga želite namestiti. Svetujemo vam, da vzamete vsaj kdeutils.

kjer `(version)` nadomestite s številko trenutne raličice. Ko ste naložili vse, kar potrebujete, izvlečite te datoteke v `/usr/src`. Ta proces bi moral ustvariti sledečo imeniško strukturo:

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (katerikoli drug paket)

Poskrbite, da imate pisalno dovoljenje v `/opt/kde`.

Sedaj morate prevesti in namestiti pakete z uporabo:

1. cd v imenik paketa, ki ga želite namestiti (glejte zgoraj)

2. ./configure (z opcijami, ki jih želite uveljaviti)

3. make

4. make install

Uporabite gornje korake na vsakem paketu, ki ga želite namestiti.

| Ta navodila so uporabna za skoraj vsak dosegljiv paket izvorne kode, ne le za pakete KDE.

Vsaka prilagoditvena skripta ima na razpolago več opcij. Nekatere so splošne za vse pakete, druge pa specifične za vsakega posebej. Sledeče je rezultat ukaza configure `--help` v kdelibs:

       --disable-fast-perl     disable fast Makefile generation (needs perl)
      --enable-debug          creates debugging code [default=no]
      --enable-strict         compiles with strict compiler options (may not work!)
      --enable-profile        creates profiling infos [default=no]
      --enable-final          build size optimized apps (experimental - needs lots of memory)
      --disable-closure       don't delay template instantiation
      --enable-shared[=PKGS]  build shared libraries [default=yes]
      --enable-static[=PKGS]  build static libraries [default=no]
      --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
      --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
      --disable-libtool-lock  avoid locking (might break parallel builds)
      --with-pic              try to use only PIC/non-PIC objects [default=use both]
      --with-extra-includes=DIR
                              adds non standard include paths
      --with-extra-libs=DIR   adds non standard library paths
      --with-qt-dir=DIR       where the root of Qt is installed
      --with-qt-includes=DIR  where the Qt includes are.
      --with-qt-libraries=DIR where the Qt library is installed.
      --disable-rpath         do not use the rpath feature of ld
      --disable-path-check    don't try to find out, where to install
      --with-xdmdir           If the xdm config dir can't be found automaticly
      --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
      --with-shadow           If you want shadow password support
      --with-krb4[=PATH]      Compile in Kerberos v4 support.
      --with-afs              Compile in AFS support (requires KTH krb4).
      --with-ldap[=PATH]      Compile in LDAP support.
      --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
      --without-gl            disable 3D GL modes
      --without-xpm           disable color pixmap XPM tests
      --without-dpms          disable DPMS power saving
      --with-x                use the X Window System
      --with-motif-includes=DIR    Motif include files are in DIR
      --with-motif-libraries=DIR   Motif libraries are in DIR

Mnoge opcije niso zahtevane in so uporabne le za premostitev znanih težav(npr. `--disable-FEATURE`). Ker so nakatere pomembne, na primer --with-shadow, bi morali vedno preveriti dosegljive možnosti.

Pomembna možnost je `--prefix`. Ta možnost določa pot, kamor naj configure namešča (za kdesupport in kdelibs) ali kam naj pogleda za knjižnicami (za druge pakete). Privzeto bo configure pogledal v `/opt/kde`. Če želite namestiti KDE v `/usr/local/kde`, morate uporabiti configure `--prefix /usr/local/kde`.

Če ste namestili knjižnice Qt na nenavadnem mestu, na primer v `$HOME/src/qt`, morate uporabiti configure `--with-qt-dir=$HOME/src/qt`. Privzeto configure pogleda v najbolj običajne kraje, kjer se morda nahajajo Qt, preden obupa.

Če imate težave, ki jih ne morete rešiti pošljite kopijo datoteke `config.log` na naslov v datoteki `README` v problematičnem paketu.

KDE morate namestiti v naslednjem vrstnem redu: kdesupport, kdelibs, nato pa programske pakete (na primer kdebase). Vsi programski pakete bi morali biti odvisni le od kdelibs, tako da jih lahko prevajate hkrati (če imate dovolj zmogljiv računalnik).

Če se želite poslužiti zmožnosti večprocesorskih sistemov, poskusite make `-j `št. procesorjev`` namesto make.

## 3.4.1. Od platforme odvisne opombe

### 3.4.1.1. Linux

Za Linux lahko večino za izgrdnjo KDE potrebnih orodij najdete ali na ftp://sunsite.unc.edu/pub/Linux/GCC ali pa ftp://sunsite.unc.edu/pub/GNU. The Knjižnice Qt lahko najdete na ftp://ftp.troll.no/pub/qt/linux, dosegljive v obliki izvorne kodaeali pa v formatu RPM. Oba vključujeta podrobna navodila o tem, kako ju namestiti. Include datoteke za X11 programe bi morale biti dosegljive na ftp://ftp.xfree86.org v razdelku xdevel.

Nazaj | Domov | Naprej
Linux: nameščanje paketov DEB za debian | Gor | Zahtevane spremebe v vaših nastavitvenih datotekah